Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractEvolvable Class Reference

`#include <coherence/io/AbstractEvolvable.hpp>`

Inherits Object, and Evolvable.

List of all members.

## Detailed Description

Abstract base implementation of the Evolvable interface.

Author:
  wl 2010.08.11

## Public Types
typedef spec::Handle | Handle
| AbstractEvolvable Handle definition.
typedef spec::View | View
| AbstractEvolvable View definition.
typedef spec::Holder | Holder
| AbstractEvolvable Holder definition.
## Public Member Functions
virtual int32_t | getImplVersion () const =0
| Determine the serialization version supported by the implementing class. Returns: the serialization version supported by this Evolvable
virtual int32_t | getDataVersion () const
| Obtain the version associated with the data stream from which this Evolvable was deserialized. If the Object was constructed (not deserialized), the data version is the same as the implementation version. Returns: the version of the data used to initialize this Evolvable, greater than or equal to zero
virtual void | setDataVersion (int32_t nVersion)
  | Set the version associated with the data stream with which this Evolvable is being deserialized. Parameters:
  | nVersion | the version of the data in the data stream that will be used to deserialize this Object; greater than or equal to zero
virtual Binary::View | getFutureData () const
| Return all the unknown remainder of the data stream from which this Evolvable was deserialized. The remainder is unknown because it is data that was originally written by a future version of this Evolvable's class. Returns: future data in binary form
virtual void | setFutureData (Binary::View vBinFuture)
  | Store the unknown remainder of the data stream from which this Evolvable is being deserialized. The remainder is unknown because it is data that was originally written by a future version of this Evolvable's class. Parameters:
  | vBinFuture | future data in binary form

The documentation for this class was generated from the following file:

- coherence/io/AbstractEvolvable.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.